> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get stored MMR history by PUUID (v1)



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v1/by-puuid/stored-mmr-history/{affinity}/{puuid}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
  - name: premium
    description: Premium account and webhook endpoints
paths:
  /valorant/v1/by-puuid/stored-mmr-history/{affinity}/{puuid}:
    get:
      tags:
        - valorant
      summary: Get stored MMR history by PUUID (v1)
      operationId: stored_mmr_history_by_id
      parameters:
        - name: affinity
          in: path
          description: Region/affinity (e.g., na, eu, ap, kr)
          required: true
          schema:
            type: string
        - name: puuid
          in: path
          description: Player UUID
          required: true
          schema:
            type: string
        - name: size
          in: query
          description: Number of results (optional)
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Stored MMR history retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StoredMMRResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    StoredMMRResponse:
      type: object
      required:
        - status
        - results
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/StoredMMR'
        results:
          $ref: '#/components/schemas/Pagination'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    StoredMMR:
      type: object
      required:
        - match_id
        - tier
        - map
        - season
        - ranking_in_tier
        - last_mmr_change
        - elo
        - date
      properties:
        date:
          type: string
        elo:
          type: integer
          format: int32
        last_mmr_change:
          type: integer
          format: int32
        map:
          $ref: '#/components/schemas/StoredMMRMap'
        match_id:
          type: string
        ranking_in_tier:
          type: integer
          format: int32
          minimum: 0
        season:
          $ref: '#/components/schemas/StoredMMRSeason'
        tier:
          $ref: '#/components/schemas/StoredMMRTier'
    Pagination:
      type: object
      required:
        - total
        - returned
        - before
        - after
      properties:
        after:
          type: integer
          format: int32
        before:
          type: integer
          format: int32
        returned:
          type: integer
          format: int32
        total:
          type: integer
          format: int32
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    StoredMMRMap:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: string
        name:
          type: string
    StoredMMRSeason:
      type: object
      required:
        - id
        - short
      properties:
        id:
          type: string
        short:
          type: string
    StoredMMRTier:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string

````